Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller
[Java] Interface NameAwareMarshaller

    public interface NameAwareMarshaller

Specialized ObjectMarshaller which defines the Tag Name for XML Conversion.

Authors:
  Siegfried Puchbauer

Since:
  1.1

Method Summary
`java.lang.String` | `getElementName(java.lang.Object o)` Returns the tag name for the object

Method Detail

### getElementName

    public java.lang.String getElementName(java.lang.Object o)

  Returns the tag name for the object
  Parameters:
    `o` - the object
  Returns:
    the tag name

Groovy Documentation